Built LMS Help Center
API Reference and PlaygroundCourses and CatalogCourse Enrollments

GET Get course enrollments

Retrieve all enrollments for a specific course with optional filtering by status and user information

GET
/courses/{id}/enrollments

Retrieve all enrollments for a specific course with optional filtering by status and user information

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Course ID

Formatuuid

Query Parameters

limit?integer

Maximum number of results to return

Range1 <= value <= 100
Default25
offset?integer

Number of results to skip for pagination

Range0 <= value
Default0
status?string

Filter enrollments by status

Value in

  • "enrolled"
  • "in_progress"
  • "completed"
  • "withdrawn"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/courses/{id}/enrollments"
{  "data": [    {      "id": "{id}",      "user_id": "{user_id}",      "course_id": "{course_id}",      "enrolled_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "progress_percentage": 0,      "status": "enrolled",      "user": {        "id": "{id}",        "email": "string",        "first_name": "string",        "last_name": "string",        "display_name": "string"      }    }  ],  "meta": {    "course": {      "id": "{id}",      "title": "string"    },    "total": 0,    "limit": 0,    "offset": 0,    "filters": {      "status": "string"    },    "organization_id": "{organization_id}",    "rls_validation": {      "enforced": true,      "organization_isolated": true    }  }}